[TxMt] My Textmate's Run Script commands broken by Apple security patch?

Alex Ross alex.j.ross at gmail.com
Sat Jun 9 07:38:19 UTC 2007


Are you using a csh as your default shell?  If so, is it the version  
of csh that is packed with OSX or one you installed yourself?  If you  
switch your shell back to bash do things work again?  (I tried  
switching my shell to csh and didn't experience any problems.)

Do you have any thing in the directories ~/Library/Application  
Support/TextMate or /Library/Application Support/TextMate?  Perhaps  
an old bundle in one of these directories is causing a problem.

Do RubyMate/PyMate work if you create a new user account?

If you watch for "Cutting Edge" builds in Preferences > Software  
Update, does that solve the issue? (Don't forget to restart TM after  

I don't mean to sound demanding.  Let's fix this. :)


On Jun 8, 2007, at 5:12 PM, Ed Allen wrote:

> Mac OS X 10.4.9
> Textmate Version 1.5.5 (1368)
> I applied the latest Apple Security Patch about a week ago, and  
> that afternoon at the first attempt following the patch I became  
> suddenly unable to run Ruby scripts in Rubymate with the cmd-R Run  
> choice from the Ruby bundle.
> Any attempt is hitting the error "csh: if: Expression Syntax. /bin/ 
> bash: line 4: : command not found".
> I got back to trying to troubleshoot this problem this afternoon  
> and see the same kind of problem in PyMate and Run Script for perl  
> except it complains about line 2 instead of line 4.
> ______________________________________________________________________
> For new threads USE THIS: textmate at lists.macromates.com
> (threading gets destroyed and the universe will collapse if you don't)
> http://lists.macromates.com/mailman/listinfo/textmate

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macromates.com/textmate/attachments/20070609/b704bd66/attachment.html>

More information about the textmate mailing list